Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1293062

Summary: Journalctl says "no entries" even when told to be quiet.
Product: [Fedora] Fedora Reporter: Göran Uddeborg <goeran>
Component: systemdAssignee: systemd-maint
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: johannbg, jsynacek, lnykryn, msekleta, s, systemd-maint, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: systemd-222-12.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-10 19:24:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Göran Uddeborg 2015-12-19 19:01:16 UTC
Description of problem:
When journalctl is called with a "match" that doesn't match anything in the journal, it says "-- No entries --".  When used in scripts etc. it is often useful to have no output at all in those circumstances.  There is a flag "--quiet", but that doesn't seem to have any effect on this particular message.

Enhancement suggestion: suppress the "-- No entries --" message when the "--quiet" flag is given to journalctl.


Version-Release number of selected component (if applicable):
systemd-222-10.fc23.x86_64

Comment 2 Fedora Update System 2016-01-08 09:47:57 UTC
systemd-222-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aae4b3b916

Comment 3 Fedora Update System 2016-01-09 04:27:14 UTC
systemd-222-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aae4b3b916

Comment 4 Fedora Update System 2016-01-10 19:23:59 UTC
systemd-222-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.